package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.HouseInfo;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.HouseInfoMapper")
public interface HouseInfoMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(HouseInfo record);

    HouseInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(HouseInfo record);

    List<HouseInfo> queryAllHouseInfo(HouseInfo record);

    List<HouseInfo> queryHouseInfoByPage(Map<String, Object> parameter);

    int delete(String id);

    HouseInfo queryHouseInfo(HouseInfo record);

    List<HouseInfo> query(HouseInfo record);

    HouseInfo queryHouseInfoDetail(HouseInfo record);
}

